package com.gh.gamecenter.qa.entity

import android.os.Parcelable
import com.gh.gamecenter.common.entity.CommunityEntity
import com.gh.gamecenter.entity.MeEntity
import com.gh.gamecenter.entity.UserEntity
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

/**
 * Created by khy on 18/12/17.
 */
@Parcelize
data class AnswerDetailEntity(
    @SerializedName("_id")
    var id: String = "",
    var content: String = "",
    var time: Long = 0,
    @SerializedName("publish_time")
    var publishTime: Long = 0,
    @SerializedName("update_time")
    var updateTime: Long = 0,
    var question: Questions = Questions(),
    var me: MeEntity = MeEntity(),
    var user: UserEntity = UserEntity(),
    var vote: Int = 0,
    var community: CommunityEntity = CommunityEntity(),
    @SerializedName("comment_count")
    var commentCount: Int = 0,
    var commentable: Boolean = true,
    @SerializedName("next_id")
    var nextId: String = "",
    var fold: Boolean? = false,
    @SerializedName("is_jx")
    var isHighlighted: Boolean = false,
    var images: List<String> = ArrayList(),
    @SerializedName("images_info")
    var imagesInfo: List<ImageInfo> = ArrayList(),
    var videos: List<CommunityVideoEntity> = ArrayList()
) : Parcelable